Last Comment Bug 1101984 - Mozilla.org Hello Product page development
: Mozilla.org Hello Product page development
Status: VERIFIED FIXED
:
Product: www.mozilla.org
Classification: Other
Component: Pages & Content (show other bugs)
: Production
: x86 Mac OS X
-- normal
: ---
Assigned To: Jon Petto [:jpetto]
:
:
Mentors:
Depends on: 1101985
Blocks: 1049017
  Show dependency treegraph
 
Reported: 2014-11-19 16:08 PST by Cory Price [:ckprice]
Modified: 2015-01-14 07:46 PST (History)
10 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Cory Price [:ckprice] 2014-11-19 16:08:41 PST
This bug is created for the implementation of the Hello product page.

Project Wiki: https://wiki.mozilla.org/Websites/Mozilla.org/Hello/Onboarding
Comment 1 User image Cory Price [:ckprice] 2014-12-11 18:12:31 PST
Hi Jen, do we have a URL decided for the product page?
Comment 2 User image Jon Petto [:jpetto] 2014-12-11 19:02:20 PST
I believe we decided on /firefox/hello/.
Comment 3 User image Jon Petto [:jpetto] 2014-12-12 07:51:19 PST
Lee - Can you attach or link the final PSD?
Comment 4 User image Lee Tom 2014-12-12 13:13:33 PST
Hey Jon! 
http://cl.ly/1a2s1l0H1k0Q

This is still not Final-Final, but I think we're getting close enough that you can use the building blocks/layout/glyphs etc. to create the page. 

The CTA/Share convo is still happening, and the animation up top is also WiP...

Hopefully, we can make more refinements as we go. Thanks!
Comment 5 User image Jon Petto [:jpetto] 2014-12-15 15:11:25 PST
:habber - 

Do we have URLs ready for the two links on the page?

- "Learn more about compatible browsers" I'll guess maybe http://www.webrtc.org/

- Questions? Visit Mozilla Support" Maybe here? https://support.mozilla.org/en-US/kb/firefox-hello-make-receive-calls-without-account
Comment 6 User image Holly Habstritt Gaal [:Habber] 2014-12-17 08:35:56 PST
(In reply to Jon Petto [:jpetto] from comment #5)
> :habber - 
> 
> Do we have URLs ready for the two links on the page?
> 
> - "Learn more about compatible browsers" I'll guess maybe
> http://www.webrtc.org/
> 
> - Questions? Visit Mozilla Support" Maybe here?
> https://support.mozilla.org/en-US/kb/firefox-hello-make-receive-calls-
> without-account

I'm sending a message to Arcadio and Romain about some other links. I'll include this question and get back to you.
Comment 7 User image Romain Testard [:RT] 2014-12-17 09:21:06 PST
(In reply to Holly Habstritt Gaal [:Habber] from comment #6)
> (In reply to Jon Petto [:jpetto] from comment #5)
> > :habber - 
> > 
> > Do we have URLs ready for the two links on the page?
> > 
> > - "Learn more about compatible browsers" I'll guess maybe
> > http://www.webrtc.org/
Do we have to point people to another page? It feels it should be as straightforward as "We support Chrome, Firefox and Opera?
Otherwise we could point to a SUMO page - I think webrtc.org is not so user friendly.
> > 
> > - Questions? Visit Mozilla Support" Maybe here?
> > https://support.mozilla.org/en-US/kb/firefox-hello-make-receive-calls-
> > without-account
We need an updated page to include rooms - Joni maybe you can point us to the right direction for Fx35?
> 
> I'm sending a message to Arcadio and Romain about some other links. I'll
> include this question and get back to you.
Comment 8 User image Holly Habstritt Gaal [:Habber] 2014-12-17 10:39:22 PST
Update:

Placeholder link for "Learn more about compatible browsers" https://support.mozilla.org/kb/which-browsers-will-work-firefox-hello-video-chat

General Help link for "Questions? Visit Mozilla Support" is in progress. Joni will share once a placeholder article exists.
Comment 9 User image Joni Savage ("need info" me) 2014-12-17 10:54:08 PST
(In reply to Romain Testard [:RT] from comment #7)
> > > - Questions? Visit Mozilla Support" Maybe here?
> > > https://support.mozilla.org/en-US/kb/firefox-hello-make-receive-calls-
> > > without-account
> We need an updated page to include rooms - Joni maybe you can point us to
> the right direction for Fx35?

-For this "Questions? Visit Mozilla Support" link, we can use this URL: https://support.mozilla.org/kb/firefox-hello-video-and-voice-conversations-online. It already has Rooms instructions, but you can see them only when you're using Firefox 35. Users on other browsers (Chrome, IE, etc.) will currently see instructions for whatever's currently on GA (in this case, 34). When 35 is on GA, they will see 35 (Rooms) content. If you see problems with this approach, please let me know.

Note: this is the same article that the Gear link redirects to. We will edit the content so that it's more general per our email convo.
Comment 10 User image Cory Price [:ckprice] 2014-12-17 14:51:40 PST
Specifications for rendering the dynamic CTA's on the product page: https://etherpad.mozilla.org/Hello-product-page-content-logic
Comment 11 User image Joni Savage ("need info" me) 2014-12-21 16:37:43 PST
* https://support.mozilla.org/kb/firefox-hello-video-and-voice-conversations-online - I've made this a general article for the Hello product page and the gears menu.

* https://support.mozilla.org/en-US/kb/which-browsers-will-work-firefox-hello-video-chat - first draft is ready.

Please let me know if there are any suggestions.
Comment 12 User image Romain Testard [:RT] 2014-12-22 00:52:49 PST
(In reply to Joni Savage from comment #11)
> *
> https://support.mozilla.org/kb/firefox-hello-video-and-voice-conversations-
> online - I've made this a general article for the Hello product page and the
> gears menu.
> 
- Under "Join a conversation" - "You will be prompted to either call the sender or join the sender's conversation room." From Fx35 onwards clickers will only be prompted to join a conversation.

- The link https://support.mozilla.org/en-US/kb/respond-firefox-hello-invitation-guest-mode points to a page addressing both call cickers and conversation clickers. Could we have separate pages for both? Especially most clickers will be on rooms but the help article starts with "Respond to a call invitation" which I think will be confusing

- In a few places you refer to "conversation rooms" or "rooms". I think we should rather refer to "conversations" as this is the term we selected to avoid confusion. 
 
> *
> https://support.mozilla.org/en-US/kb/which-browsers-will-work-firefox-hello-
> video-chat - first draft is ready.
> 
> Please let me know if there are any suggestions.
Comment 13 User image Joni Savage ("need info" me) 2014-12-22 13:14:16 PST
Thanks, Romain.

(In reply to Romain Testard [:RT] from comment #12)

> - Under "Join a conversation" - "You will be prompted to either call the
> sender or join the sender's conversation room." From Fx35 onwards clickers
> will only be prompted to join a conversation.
> 

I'd remove any mention of clickers, but I'm wondering when it would be safe to do that (some people might not update to fx35 right away). In the meantime, I've changed the line to "Just click on the link on the invitation and click the button on the page to enter the conversation" to make it general enough for both call-clicks and rooms.

> - The link
> https://support.mozilla.org/en-US/kb/respond-firefox-hello-invitation-guest-
> mode points to a page addressing both call cickers and conversation
> clickers. Could we have separate pages for both? Especially most clickers
> will be on rooms but the help article starts with "Respond to a call
> invitation" which I think will be confusing

This same page is linked from both the link clicker version and the rooms version of Hello. I could write separate articles, but people searching on the Web might land on the article version that doesn't match the one that they have. The article previously showed content that's specific to a user's version of Firefox, but someone pointed out that the invite will depend on the sender's version, not the recipient's. I changed the title to "Join a conversation on Firefox Hello" to make it more general. I'll remove the link clicker instructions when most users have upgraded to fx35.

> - In a few places you refer to "conversation rooms" or "rooms". I think we
> should rather refer to "conversations" as this is the term we selected to
> avoid confusion. 
>  

Good idea. Done.

Links to the TOS and Privacy Notice are on the article as well.
Comment 14 User image Jon Petto [:jpetto] 2014-12-23 10:15:49 PST
Animation assets: http://cl.ly/2M1X100c1h2F
Comment 15 User image Jon Petto [:jpetto] 2014-12-29 07:59:04 PST
Latest video guide for animation: https://www.dropbox.com/s/36488atzvn4pgo5/Firefox_Hello-Snippet_894x368_2.mp4?dl=0
Comment 16 User image Cory Price [:ckprice] 2015-01-07 14:25:15 PST
After talking with cmore and garethc today, they recommended splitting up the Tour and Product Page events into different categories.

Product Page

Please change from 'hello interactions' to '/hello interactions'
Comment 17 User image Jon Petto [:jpetto] 2015-01-08 06:28:50 PST
This has been updated on demo2.
Comment 18 User image Cory Price [:ckprice] 2015-01-08 11:07:07 PST
In our meeting with Arcadio, it was decided that we would remove the Share Widget for GA 35. :jpetto, please remove the widget.

I will update bug 1113917 with the requirement for the Share Widget.
Comment 19 User image [github robot] 2015-01-12 08:36:40 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/7150d688984e7f5f04b8246b69dd59d65519bd6c
Add Hello product page. Bug 1101984.

https://github.com/mozilla/bedrock/commit/023ddcb7b4e33e5001b2e63617073809f898182c
Merge pull request #2631 from jpetto/bug-1101984-hello-product-page

Add Hello product page. Bug 1101984.
Comment 20 User image Rebecca Billings [:rbillings] 2015-01-14 07:46:09 PST
Verified and pushed to prod

Note You need to log in before you can comment on or make changes to this bug.